ProtoByteBuffer (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.api

## Class ProtoByteBuffer

- java.lang.Object
- - com.marketfactory.api.ProtoByteBuffer

-     public class ProtoByteBuffer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.nio.ByteBuffer` | `byteBuffer`
    `static int` | `maxLength`
    `static int` | `minLength`
    `int` | `msgLen`
    `int` | `msgType`
    `long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtoByteBuffer(int allocateSize)`
    `ProtoByteBuffer(int allocateSize, boolean isDirect)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `compact()`
    `void` | `finalizeMessage()`
    `void` | `finalizeMessage(int starting)`
    `void` | `flip()`
    `boolean` | `getBoolean()`
    `byte` | `getByte()`
    `int` | `getInt()`
    `int` | `getLength()`
    `long` | `getLong()`
    `long` | `getLongSpecial()`
    `MFDecimal` | `getMFDecimal()`
    `MFFloat` | `getMFFloat()`
    `short` | `getShort()`
    `java.lang.String` | `getString()`
    `int` | `getUInt()`
    `short` | `getUnsignedByte()`
    `int` | `getUnsignedShort()`
    `void` | `initializeMessage(int msgType)`
    `int` | `limit()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `order(java.nio.ByteOrder byteOrder)`
    `int` | `position()`
    `void` | `position(int newPosition)`
    `void` | `putBoolean(boolean val)`
    `void` | `putByte(byte val)`
    `void` | `putInt(int val)`
    `void` | `putLength(int x)`
    `void` | `putLong(long val)`
    `void` | `putLongSpecial(long val)`
    `void` | `putMFDecimal(MFDecimal field)`
    `void` | `putMFFloat(MFFloat field)`
    `void` | `putShort(short val)`
    `void` | `putString(java.lang.String field)`
    `void` | `putUInt(int val)`
    `void` | `putUnsignedByte(short val)`
    `void` | `putUnsignedShort(int val)`
    `void` | `putUnsignedShort(int pos, int val)`
    `boolean` | `readMessageHeader()`
    `int` | `remaining()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### minLength

          public static final int minLength

      See Also:
        Constant Field Values

    - #### maxLength

          public static final int maxLength

      See Also:
        Constant Field Values

    - #### byteBuffer

          public java.nio.ByteBuffer byteBuffer

    - #### msgLen

          public int msgLen

    - #### msgType

          public int msgType

    - #### timestamp

          public long timestamp

  - ### Constructor Detail

    - #### ProtoByteBuffer

          public ProtoByteBuffer(int allocateSize)

    - #### ProtoByteBuffer

          public ProtoByteBuffer(int allocateSize,
                                 boolean isDirect)

  - ### Method Detail

    - #### readMessageHeader

          public boolean readMessageHeader()

    - #### initializeMessage

          public void initializeMessage(int msgType)

    - #### finalizeMessage

          public void finalizeMessage()

    - #### finalizeMessage

          public void finalizeMessage(int starting)

    - #### remaining

          public int remaining()

    - #### clear

          public void clear()

    - #### position

          public int position()

    - #### position

          public void position(int newPosition)

    - #### limit

          public int limit()

    - #### flip

          public void flip()

    - #### compact

          public void compact()

    - #### getLength

          public int getLength()

    - #### putLength

          public void putLength(int x)

    - #### getUnsignedShort

          public int getUnsignedShort()

    - #### putUnsignedShort

          public void putUnsignedShort(int val)

    - #### putUnsignedShort

          public void putUnsignedShort(int pos,
                                       int val)

    - #### getUnsignedByte

          public short getUnsignedByte()

    - #### putUnsignedByte

          public void putUnsignedByte(short val)

    - #### getLong

          public long getLong()

    - #### getLongSpecial

          public long getLongSpecial()

    - #### putLong

          public void putLong(long val)

    - #### putLongSpecial

          public void putLongSpecial(long val)

    - #### getShort

          public short getShort()

    - #### putShort

          public void putShort(short val)

    - #### getByte

          public byte getByte()

    - #### putByte

          public void putByte(byte val)

    - #### getBoolean

          public boolean getBoolean()

    - #### putBoolean

          public void putBoolean(boolean val)

    - #### getInt

          public int getInt()

    - #### getUInt

          public int getUInt()

    - #### putInt

          public void putInt(int val)

    - #### putUInt

          public void putUInt(int val)

    - #### order

          public void order(java.nio.ByteOrder byteOrder)

    - #### getString

          public java.lang.String getString()

    - #### putString

          public void putString(java.lang.String field)

    - #### getMFFloat

          public MFFloat getMFFloat()

    - #### putMFFloat

          public void putMFFloat(MFFloat field)

    - #### getMFDecimal

          public MFDecimal getMFDecimal()

    - #### putMFDecimal

          public void putMFDecimal(MFDecimal field)

    - #### main

          public static void main(java.lang.String[] args)